Bug 479751 - hplip-gui tray icon appears floating on desktop, outside tray
Summary: hplip-gui tray icon appears floating on desktop, outside tray
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-12 21:15 UTC by James Ettle
Modified: 2009-03-13 18:34 UTC (History)
1 user (show)

Fixed In Version: 2.8.12-6.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 18:34:51 UTC


Attachments (Terms of Use)
Floating HP Toolbox tray icon (33.16 KB, image/png)
2009-01-12 21:15 UTC, James Ettle
no flags Details

Description James Ettle 2009-01-12 21:15:07 UTC
Created attachment 328791 [details]
Floating HP Toolbox tray icon

Description of problem:
The tray icon for the HP Toolbox appears directly on the desktop (in various positions), not in the tray. See attached image for more: this is an excerpt of a screenshot, top left corner.

Version-Release number of selected component (if applicable):
hplip-gui-2.8.12-1.fc10.x86_64
PyQt-3.17.4-5.fc10.x86_64
PyQt4-4.4.3-1.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start hp-toolbox.

Comment 1 James Ettle 2009-01-13 14:10:15 UTC
Brilliant, fixed in hplip-gui-2.8.12-3.fc10.x86_64. Looks nicer, too. Thanks, Tim. However, in this update the "Quit" menu item in the Device Manager doesn't work --- do you want me to file a new entry in Bugzilla for it?

It's a trivial fix, I just added

self.connect(self.QuitAction, SIGNAL("triggered()"), self.close)

as line 215 in devmgr5.py.

Comment 2 Tim Waugh 2009-01-13 17:43:03 UTC
Hey, not so fast!  It's still in testing, not a stable update yet.  Changing status back to MODIFIED...

Comment 3 Fedora Update System 2009-01-15 03:05:07 UTC
hplip-2.8.12-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11236

Comment 4 Fedora Update System 2009-01-29 23:01:44 UTC
hplip-2.8.12-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11236

Comment 5 Fedora Update System 2009-03-13 18:34:28 UTC
hplip-2.8.12-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.